{% extends '::baseIntranetJS.html.twig' %}

{% block body %}
<%
	var usuarioCrea = '';
%>
<div class="row">
	<div class="col-xs-12">
		<a href="<%= urls.intranet.comentarios.excel.replace('__idContenido__', contenidoBD.idContenido) %>" class="btn btn-default">Excel</a>
		<button type="submit" class="btn btn-warning" id="btnCancelarReporteComentarios">Cancelar</button>
	</div>
</div>
<div class="row">
	<div class="col-xs-12" id="containerTablaComentarios">
		<table id="tablaComentarios" class="table table-bordered table-striped">
			<thead>
				<tr>
					<th></th>
					<th>Usuario</th>
					<th>Fecha</th>
					<th>Texto</th>
					<th>Calificación</th>
				</tr>
			</thead>
			<tbody>
				<%
					_.each(comentariosIntranet.toJSON(), function(comentario, key) {
				%>
				<tr>
					<td><%= comentario.idComentario %></td>
					<td><%= comentario.usuario.name %></td>
					<td><%= formatDate(comentario.fecha, 'dd/MM/yyyy HH:mm') %></td>
					<td><%= comentario.texto %></td>
					<td><%= comentario.calificacion %></td>
				</tr>
				<%
					});
				%>
			</tbody>
		</table>
	</div>
</div>
{% endblock %}

{% block javascript %}
<%
	setTimeout(function(){
		$("#tablaComentarios").dataTable({
			'language': DataTables.languaje.es
		});
		$("#btnCancelarReporteComentarios").click(function(){
			refreshContent();
		});
	}, 250);
%>
{% endblock %}